import { OutputArea, OutputAreaModel } from '@jupyterlab/outputarea';
import { Kernel } from '@jupyterlab/services';
export declare class OutputAdapter {
    private _kernelConnectionPromise?;
    private _renderers;
    private _outputArea;
    private _msgLoading;
    private _rendermime;
    private _iPyWidgetsClassicManager;
    constructor(kernel: Promise<Kernel.IKernelConnection>, model: OutputAreaModel, options?: any);
    get outputArea(): OutputArea;
    private renderCell;
    execute(code: string): void;
    interrupt(): void;
    clearOutput(): void;
    private render;
    get panel(): OutputArea;
}
export default OutputAdapter;
