import { BoxPanel } from '@lumino/widgets';
import { ServiceManager } from '@jupyterlab/services';
import '@jupyterlab/console/style/index.css';
import '@jupyterlab/codemirror/style/index.css';
import '@jupyterlab/theme-light-extension/style/theme.css';
import '@jupyterlab/theme-light-extension/style/variables.css';
declare class ConsoleAdapter {
    private consolePanel;
    constructor(lite: boolean, serviceManager: ServiceManager);
    startConsole(path: string, serviceManager: ServiceManager.IManager, panel: BoxPanel): void;
    get panel(): BoxPanel;
}
export default ConsoleAdapter;
