import * as nbformat from '@jupyterlab/nbformat';
import Kernel from './../../jupyter/services/kernel/Kernel';
import '@lumino/default-theme/style/index.css';
import './Output.css';
export declare type IOutputProps = {
    initialOutput?: [nbformat.IOutput];
    kernel: Kernel;
    autoRun: boolean;
    disableRun: boolean;
    showEditor: boolean;
    code: string;
    codePre?: string;
    clearTrigger: number;
    sourceId: string;
    receipt?: string;
    executeTrigger: number;
    toolbarPosition: 'up' | 'middle' | 'none';
    insertText?: (payload?: any) => string;
};
export declare const Output: {
    (props: IOutputProps): import("@emotion/react/jsx-runtime").JSX.Element;
    defaultProps: Partial<IOutputProps>;
};
export default Output;
